> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tradingview/screener

> Screen instruments by exchange, sector, analyst rating, and fundamental ranges

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/tradingview/screener
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tradingview/screener:
    post:
      tags:
        - /tradingview
      summary: /tradingview/screener
      description: >-
        Screen instruments by exchange, sector, analyst rating, and fundamental
        ranges


        **Price:** 1 credit per 20 results
      operationId: __api_tradingview_screener_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TradingViewScreenerPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TradingViewScreenerStock'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TradingViewScreenerPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        region:
          $ref: '#/components/schemas/TradingViewRegion'
          default: america
        exchange:
          anyOf:
            - $ref: '#/components/schemas/TradingViewExchange'
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        analyst_rating:
          anyOf:
            - $ref: '#/components/schemas/TradingViewAnalystRating'
            - type: 'null'
        min_market_cap:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_market_cap:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_price_earnings:
          anyOf:
            - type: number
            - type: 'null'
        max_price_earnings:
          anyOf:
            - type: number
            - type: 'null'
        min_dividend_yield:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        sort_by:
          $ref: '#/components/schemas/TradingViewScreenerSort'
          default: market_cap
        sort_order:
          $ref: '#/components/schemas/TradingViewScreenerSortOrder'
          default: desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    TradingViewScreenerStock:
      properties:
        '@type':
          type: string
          default: TradingViewScreenerStock
        symbol:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        close:
          anyOf:
            - type: number
            - type: 'null'
        change:
          anyOf:
            - type: number
            - type: 'null'
        change_abs:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: number
            - type: 'null'
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        price_earnings_ttm:
          anyOf:
            - type: number
            - type: 'null'
        earnings_per_share_ttm:
          anyOf:
            - type: number
            - type: 'null'
        dividend_yield:
          anyOf:
            - type: number
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        exchange:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        analyst_rating:
          anyOf:
            - type: string
            - type: 'null'
        technical_rating:
          anyOf:
            - type: number
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        typespecs:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - symbol
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TradingViewRegion:
      type: string
      enum:
        - america
        - australia
        - canada
        - germany
        - india
        - uk
    TradingViewExchange:
      type: string
      enum:
        - NASDAQ
        - NYSE
        - AMEX
        - OTC
    TradingViewAnalystRating:
      type: string
      enum:
        - StrongBuy
        - Buy
        - Neutral
        - Sell
        - StrongSell
    TradingViewScreenerSort:
      type: string
      enum:
        - market_cap
        - volume
        - change
        - price
        - price_earnings
        - dividend_yield
    TradingViewScreenerSortOrder:
      type: string
      enum:
        - asc
        - desc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````